#include <bits/stdc++.h>
using namespace std;


void Cinioci(long long a, long long b)
{

    long long second, c = 0;
    for (int i=sqrt(a);  i>= 1; i--)
    {
        if (a%i==0)
        {


                second = a/i;

                c = a^second;
                if(c==b)
                {

                    cout << a <<" "<< second<<endl;

                    return;
                }

        }
    }
    cout << -1<<endl;
}

int main()
{
    int t;
    cin >> t;
    long long a[t][2];

    for(int i = 0; i<t;i++)
    {
        cin >> a[i][0] >> a[i][1];
    }



    for(int i = 0; i<t;i++)
    {
        Cinioci(a[i][0], a[i][1]);
    }

    return 0;
}